Bug 220071

Summary: deskutils/xfce4-xkb-plugin: Update to 0.8.0
Product: Ports & Packages Reporter: Olivier Duchateau <duchateau.olivier>
Component: Individual Port(s)Assignee: freebsd-xfce (Nobody) <xfce>
Status: Closed Overcome By Events    
Severity: Affects Only Me CC: admin, duchateau.olivier
Priority: --- Flags: bugzilla: maintainer-feedback? (xfce)
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on: 219928    
Bug Blocks:    
Attachments:
Description Flags
Patch to update deskutils/xfce4-xkb-plugin
none
Patch to update deskutils/xfce4-xkb-plugin none

Description Olivier Duchateau 2017-06-17 03:37:56 UTC
Created attachment 183561 [details]
Patch to update deskutils/xfce4-xkb-plugin

- Update to 0.8.0
- Adjust dependencies

Note: tested with sysutils/garcon 0.6.1 (as it is ported to Gtk3, it needs 0.6.0 or higher).
Comment 1 Olivier Duchateau 2017-06-18 11:46:48 UTC
Created attachment 183598 [details]
Patch to update deskutils/xfce4-xkb-plugin

Same diff previously, except new one contains an upstream patch which fixes GtkSwitch alignment in properties dialog.
Comment 2 Olivier Duchateau 2017-06-18 11:56:41 UTC
For committers, I think it's good idea to inform end users (add note in UPDATING file for example), now this plugin uses xfconf to store properties. So .rc file (found in ~/.config/xfce4/panel/) can be safely removed. Therefore it requires manual intervention (previously properties are not retained).

Prefix of .rc file calls 'xkb-plugin-id.rc' (where 'id' is an unique identifiant).
Comment 3 Olivier Duchateau 2017-09-09 04:49:02 UTC
Superseded by bug #222161